% Car Parking System Simulation
% Number of parking spaces
totalSpaces = 10;
% Initialize parking availability
parkingAvailability = true(totalSpaces, 1);
% Simulate cars arriving and leaving
for i = 1:15
% Randomly decide if a car is arriving (1) or leaving (0)
action = randi([0, 1]);
if action == 1 % Car arriving
% Check for available parking spaces
availableSpaces = find(parkingAvailability);
if isempty(availableSpaces)
disp('No available parking spaces. Car cannot park.');
else
% Randomly select a parking space
chosenSpace = datasample(availableSpaces, 1);
disp(['Car parked at space ', num2str(chosenSpace)]);
% Update parking availability
parkingAvailability(chosenSpace) = false;
end
else % Car leaving
% Check if there are occupied spaces
occupiedSpaces = find(~parkingAvailability);
if isempty(occupiedSpaces)
disp('No cars to leave. Parking lot is empty.');
else
% Randomly select a parking space to leave
chosenSpace = datasample(occupiedSpaces, 1);
disp(['Car leaving space ', num2str(chosenSpace)]);
% Update parking availability
parkingAvailability(chosenSpace) = true;
end
end
% Display current parking status
disp(['Parking Status: ', num2str(parkingAvailability')]);
disp('-------------------------');
end