% Define the ODE function
odeFunction = @(x, y) sin(x);
% Define the time span for the solution
tspan = [0,2*pi];
% Define the initial condition
y0 = 1;
% Solve the ODE using ode45
[t, y] = ode45(odeFunction, tspan, y0);
% Plot the solution
figure;
plot(t, y, 'LineWidth', 2);
title('Solution of dy/dx = sin(x)');
xlabel('Time (t)');
ylabel('y(t)');
grid on;